<!DOCTYPE html>
<html>
  <!-- Html Head Tag-->
  <head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="">
  <meta name="author" content="xuziboy">
  <!-- Open Graph Data -->
  <meta property="og:title" content="xuziboy"/>
  <meta property="og:description" content="" />
  <meta property="og:site_name" content="xuziboy"/>
  <meta property="og:type" content="website" />
  <meta property="og:image" content="http://yoursite.com"/>
  
    <link rel="alternate" href="/atom.xml" title="xuziboy" type="application/atom+xml">
  
  
    <link rel="icon" href="/favicon.png">
  

  <!-- Site Title -->
  <title>xuziboy</title>

  <!-- Bootstrap CSS -->
  
<link rel="stylesheet" href="/css/bootstrap.min.css">

  <!-- Custom CSS -->
  
  
<link rel="stylesheet" href="/css/style.light.css">


  <!-- Google Analytics -->
  

<meta name="generator" content="Hexo 4.2.1"></head>

  <body>
    <!-- Page Header -->


<header class="site-header header-background" style="background-image: url(/img/default-banner-dark.jpg)">
  <div class="container">
    <div class="row">
      <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
        <div class="page-title with-background-image">
          <p class="title">xuziboy</p>
          <p class="subtitle"></p>
        </div>
        <div class="site-menu with-background-image">
          <ul>
            
              <li>
                <a href="/">
                  
                  Home
                  
                </a>
              </li>
            
              <li>
                <a href="/archives">
                  
                  Archives
                  
                </a>
              </li>
            
              <li>
                <a href="https://github.com/<your-github-username>" target="_blank" rel="noopener">
                  
                  Github
                  
                </a>
              </li>
            
              <li>
                <a href="mailto:<your-email-address>">
                  
                  Email
                  
                </a>
              </li>
            
          </ul>
        </div>
      </div>
    </div>
  </div>
</header>

<!-- Home Page Post List -->
<div class="container">
  <div class="row">
    <div class="col-lg-10 col-md-10 col-md-offset-1">
      
        <div class="post-item-wrapper">
  <a href="/2020/07/20/javaTemplate/" class="post-title">
      设计模式之模板方法
  </a>
  <div class="post-excerpt">
    <!-- Post Date and Categories -->
    <div class="date-and-category">
      <div class="date">2020-07-20</div>
      <div class="categories">
        
          

<a href="/categories/%E8%AE%BE%E8%AE%A1%E6%A8%A1%E5%BC%8F/">设计模式</a>

        
      </div>
    </div>
    <!-- Post Excerpt -->
    <div class="excerpt typo"><p>1.在父类定义通用的模板方法，具体细节方法由子类各自实现</div>
    <!-- Post Tags -->
    <div class="tags">
      
        

<a class="tag" href="/tags/java/">java</a>


      
    </div>
  </div>
</div>

      
        <div class="post-item-wrapper">
  <a href="/2020/07/18/%E5%BC%80%E5%8D%9A%E7%AC%AC%E4%B8%80%E5%A4%A9/" class="post-title">
      2020-07-18 日记
  </a>
  <div class="post-excerpt">
    <!-- Post Date and Categories -->
    <div class="date-and-category">
      <div class="date">2020-07-18</div>
      <div class="categories">
        
          

<a href="/categories/%E6%97%A5%E8%AE%B0/">日记</a>

        
      </div>
    </div>
    <!-- Post Excerpt -->
    <div class="excerpt typo"><p>今天加班就搭了一个博客</div>
    <!-- Post Tags -->
    <div class="tags">
      
        

<a class="tag" href="/tags/%E6%97%A5%E8%AE%B0/">日记</a>


      
    </div>
  </div>
</div>

      
    </div>
  </div>
</div>

<!-- Pagination -->
<div class="container">
  <div class="row">
    <div class="col-lg-10 col-md-10 col-md-offset-1">
      <ul class="pagination">
          
          
      </ul>
    </div>
  </div>
</div>



    <!-- Footer -->
<footer>
  <div class="container">
    <div class="row">
      <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
        <p class="copyright text-muted">
          Theme By <a target="_blank" href="https://github.com/levblanc">Levblanc.</a>
          Inspired By <a target="_blank" href="https://github.com/klugjo/hexo-theme-clean-blog">Clean Blog.</a>
        <p class="copyright text-muted">
          Powered By <a target="_blank" href="https://hexo.io/">Hexo.</a>
        </p>
      </div>
    </div>
  </div>
</footer>


    <!-- After Footer Scripts -->

<script src="/js/highlight.pack.js"></script>

<script>
  document.addEventListener("DOMContentLoaded", function(event) {
    var codeBlocks = Array.prototype.slice.call(document.getElementsByTagName('pre'))
    codeBlocks.forEach(function(block, index) {
      hljs.highlightBlock(block);
    });
  });
</script>

  </body>
</html>

